/* Mobile specific adjustments */
@media (max-width: 767px) {
  .masthead-heading {
    font-size: 2.5rem !important; /* Reduced heading size */
    line-height: 1.1;
  }
  #timeline li .timeline-image {
    width: 70px;
    height: 70px;
    left: 0px;
  }
  #timeline li .timeline-image img {
    max-width: 60px;
    max-height: 60px;
  }
  #timeline li .timeline-panel {
    width: calc(100% - 90px);
    float: right;
    padding: 1.5em;
  }
  #timeline {
    padding-left: 0;
  }

}